function [lat,long,H]=cart2geo(X,Y,Z,a,b)

%Last-Updated: 10.04.2014
%Formulae: OS / Master 1.5-1.9
%Notes: The calculation of lat is an iterative process, 
%       where the number after > dictates the accuracy.

p = sqrt(X.^2+Y.^2);
ecc2 = (a.^2-b.^2)/a.^2;
lat0 = atand(Z/(p*(1-ecc2)));
N0 = a/(sqrt(1-ecc2*(sind(lat0).^2)));
H = (p/cosd(lat0))-N0;
lat = atand((Z+ecc2*N0*(sind(lat0)))/p);

while abs(lat0-lat)>1e-25
	lat0 = lat;
	N0 = a/(sqrt(1-ecc2*(sind(lat0).^2)));
	H = p/cosd(lat0)-N0;
	lat = atand((Z+ecc2*N0*(sind(lat0)))/p);
end

long = atand(Y/X);
return