function [N,E,Z]=coord2grid(lat,long,a,b,f,long0,lat0,FE,FN,k0)

%Last-Updated: 04.04.2014
%Formulae: OGP 7-2, 1.3.5.1 JHS
%Notes: Modified TM for UTM

lat0rad = (lat0/360)*2*pi;

%Zone width, degrees
W = 6;

%False Easting, metre
FE = 500000

%False Northing, metre
if lat >= 0;
	FN = 0;
	else
	FN = 10000000;
end

%Zone number
Z = 
%eccentricity
e = sqrt(2*f-f.^2);

%second eccentricity
e' = sqrt(e.^2/(1-e.^2));


n = f/(2-f);
B = (a/(1+n))*(1+n.^2/4+n.^4/64);

h1 = n/2-(2/3)*n.^2+(5/16)*n.^3+(41/180)*n.^4;
h2 = (13/48)*n.^2-(3/5)*n.^3+(557/1440)*n.^4;
h3 = (61/240)*n.^3-(103/140)*n.^4;
h4 = (49561/161280)*n.^4;

%Calculate the merdional arc distance from equator to
%the projection origin (M0)
if lat0 == 0
	M0 = 0;
	elseif lat0 == 90
	M0 = B*(pi/2);
	elseif lat0 == -90
	M0 = -B*(pi/2);
	else
	Q0 = asinh(tan(lat0rad))-(e*atanh(e*sin(lat0rad)));
	beta0 = atan(sinh(Qo));
	ksio0 = asin(sin(beta0));
	ksio1 = h1*sin(2*ksio0);
	ksio2 = h2*sin(4*ksio0);
	ksio3 = h3*sin(6*ksio0);
	ksio4 = h4*sin(8*ksio0);
	ksio = ksio0+ksio1+ksio2+ksio3+ksio4;
	Mo = B*ksio;
end

Q = asinh(tan(lat))-(e*atanh(e*sin(lat)));
beta = atan(sinh(Q));
eta0 = atanh(cos(beta)*sin(long-long0));
ksi0 = asin(sin(beta)*cosh(eta0));

ksi1 = h1*sin(2*ksi0)*cosh(2*eta0);
ksi1 = h2*sin(4*ksi0)*cosh(4*eta0);
ksi1 = h3*sin(6*ksi0)*cosh(6*eta0);
ksi1 = h4*sin(8*ksi0)*cosh(8*eta0);
ksi = ksi0+ksi1+ksi2+ksi3+ksi4;

eta1 = h1*cos(2*ksi0)*sinh(2*eta0);
eta1 = h1*cos(4*ksi0)*sinh(4*eta0);
eta1 = h1*cos(6*ksi0)*sinh(6*eta0);
eta1 = h1*cos(8*ksi0)*sinh(8*eta0);
eta = eta0+eta1+eta2+eta3+eta4;

E = FE + k0*B*eta;
N = FN + k0*(B*ksi-M0)

return


