function [DTVD,DN,DE]=minimumcurvature(MD,inc,az)

%Last-Updated: 31.03.2014
%Formulae: Schlumberger Directional Drilling 3-22
%Notes: 

DL(1)=0;%Dog-leg, degrees
RF(1)=0;%Ratio Factor
DTVD(1)=0;%Change in True Vertical Depth
DN(1)=0;%Change in Northing
DE(1)=0;%Change in Easting

for i=2:length(MD);

	DL(i)=acosd(cosd(inc(i)-inc(i-1))-sind(inc(i-1))*sind(inc((i))*(1-cosd(az(i)-az(i-1)))));
	RF(i)=(360/(DL(i)*pi))*(tand(DL(i)/2));
	DMD(i)=MD(i)-(MD(i-1);
	DTVD(i)=(DMD(i)/2)*(cosd(inc(i-1))+cosd(inc(i)))*RF(i);
	DN(i)=(DMD(i)/2)*(sind(inc(i-1))*cosd(az(i-1))+sind(inc(i))*cosd(az(i)))*RF(i);
	DE(i)=(DMD(i)/2)*(sind(inc(i-1))*sind(az(i-1))+sind(inc(i))*sind(az(i)))*RF(i);
	
end

return