function [inc,az]=survey(MD,hz,hx,hy,gz,gx,gy)

%Last-Updated: 31.03.2014
%Formulae: Introduction to Wellbore Positioning 5-1
%Notes: z-axis is considered to point down-hole, x and y are cross axial axes, h is magnetic measurements, g is acceleration measurements

for i=1:length(MD);

	G(i)=(sqrt(gx(i).^2+gy(i).^2+gz(i).^2));
	H(i)=(sqrt(hx(i).^2+gh(i).^2+hz(i).^2));
	inc(i)=acosd(gz(i)/G(i));
	az(i)=atand(((gx(i)*hy(i)-gy(i)*hx(i))*G(i))/(hz*(gx(i).^2+gy(i).^2)-gz(i)*(gx(i)*hx(i)-gy(i)*hy(i))));

end

return