%Last-Updated: 16.05.2014
%Formulae: 14 polynomial SKV
%Notes: All values from Statens Kartverk
% 		Purpose is to test the 14-polynomial
%		function from ED87 to ED50

clear all

ED87_lat = [52 53 54 55 56 57 58 59 60 61 62];
ED87_long = [2 4 0 6 -2 8 8 4 2 0 2];

ED50_lat_deg = [52 53 54 55 56 57 58 59 60 61 61];
ED50_lat_min = [0 0 0 0 0 0 0 0 0 0 59];
ED50_lat_sec = [0.0133 0.0089 0.0168 0.0353 0.023 0.0582 0.0572 0.049 0.0404 0.0242 59.9944];

ED50_long_deg = [1 3 0 5 -2 7 7 3 2 0 2];
ED50_long_min = [59 59 0 59 0 59 59 59 0 0 0];
ED50_long_sec = [59.9699 59.9402 -0.0464 59.8838 0.0504 59.9366 59.9777 59.9888 0.0011 0.004 0.078];

%Find the amount of elements
N=length(ED87_long);

for i = 1:N;
	
	%Step 1: Calculate change in lat/long to ED87
	[D_lat(i),D_long(i)]=northsea1(ED87_lat(i),ED87_long(i),-1);
	
	%Add changes to initial values
	ED50_lat2(i)=D_lat(i)+ED87_lat(i);
	ED50_long2(i)=D_long(i)+ED87_long(i);
	
	%Convert ED50 solution to DD
	[ED50_lat(i)]=coord2dec(ED50_lat_deg(i),ED50_lat_min(i),ED50_lat_sec(i));
	[ED50_long(i)]=coord2dec(ED50_long_deg(i),ED50_long_min(i),ED50_long_sec(i));
	
	%Calculate difference
	off_lat(i) = ED50_lat(i) - ED50_lat2(i);
	off_long(i) = ED50_long(i) - ED50_long2(i);
	[off_lat_deg(i),off_lat_min(i),off_lat_sec(i)] = dec2coord(off_lat(i));
	[off_long_deg(i),off_long_min(i),off_long_sec(i)] = dec2coord(off_long(i));		
	dist(i) = vdist(off_lat(i),off_long(i),0,0);
	
end