%Last-Updated: 22.05.2014
%Formulae:
%Notes: The calculation of lat is an iterative process, 
%       where the number after > dictates the accuracy.

clear all

lat1 = 33.782341679;
long1 = 64.56450923;
H1 = 203.2343298;


%Get ellipsoid parameters for ED50
[a,b,f]=ellipsoid(17);

[X,Y,Z]=geo2cart(lat1,long1,H1,a,b);

acc(1) = 1e-25;
ecc2 = (a.^2-b.^2)/a.^2;
p = sqrt(X.^2+Y.^2);

for i = 1:700

n(i) = 1;
acc(i+1) = acc(i)*1.1 ;
lat0(i) = atand(Z/(p*(1-ecc2)));
N0(i) = a/(sqrt(1-ecc2*(sind(lat0(i)).^2)));
H(i) = (p/cosd(lat0(i)))-N0(i);
lat(i) = atand((Z+ecc2*N0(i)*(sind(lat0(i))))/p);
while abs(lat0(i)-lat(i))>acc(i)
	lat0(i) = lat(i);
	N0(i) = a/(sqrt(1-ecc2*(sind(lat0(i)).^2)));
	H(i) = p/cosd(lat0(i))-N0(i);
	lat(i) = atand((Z+ecc2*N0(i)*(sind(lat0(i))))/p);
	n(i) = n(i)+1;
end
long(i) = atand(Y/X);
dist(i) = vdist(lat1,long1,lat(i),long(i));
end