clear all

format long

%Initial latitude values in ED50
lat_ED50=[63.42689];

%Initial longitude values in ED50
long_ED50=[10.39591];

%Parameters for ED50 to WGS84 North of 62deg
tX=-116.641;
tY=-56.931;
tZ=-110.559;
rX=+4.327*10.^-6;
rY=+4.464*10.^-6;
rZ=-4.444*10.^-6;
dS=-3.520;

H = 1;

%Get ellipsoid parameters for ED50
[a_ED50,b_ED50,f_ED50]=ellipsoid(17);

%Get ellipsoid parameters for WGS84 (23)
[a_WGS84,b_WGS84,f_WGS84]=ellipsoid(23);

	%Convert to Cartesian with ED50 ellipsoid
	[X_ED50,Y_ED50,Z_ED50]=geo2cart(lat_ED50,long_ED50,H,a_ED50,b_ED50);
	
	%Use Helmert 7 North of 62°N
	[X_WGS84,Y_WGS84,Z_WGS84]=helmert7(X_ED50,Y_ED50,Z_ED50,tX,tY,tZ,rX,rY,rZ,dS);
	
	%Convert back to Geographic with WGS84 ellipsoid
	[lat_WGS84,long_WGS84,H_WGS84]=cart2geo(X_WGS84,Y_WGS84,Z_WGS84,a_WGS84,b_WGS84)
	
vdist(lat_ED50,long_ED50,lat_WGS84,long_WGS84);
	%83.570072127398348